Title  'PIS11B.sas    1997-07-29   2001-3-11  Y.Takahashi ' ;

data  D01 ;  
    Seed   = 20010311 ;
    Lmean0 = 2.58 ; 
    Lsd0   = 0.127 ;
	Nitr=10000;  N1=6 ; N2=26 ; N3=2 ;
    do Nsamp=N1 to N2 by N3 ;
      do  K = 1 to Nitr ;  
        do i = 1 to Nsamp ;
          logY = Lmean0 + Lsd0*rannor(Seed) ;  output ;
    end ;  end ;  end ;
	keep  Lmean0  Nsamp  K  logY ;
/*	proc print  data=D01 ; where K=1 ;  run ; */

proc means data=D01  noprint ;
    var  logY ;  
    by   Lmean0  Nsamp  K ;
    output  out=D02   mean=Lmean1  stderr=Lse1  ;
/*	proc print data=D02 ;  where K=1 ;  run ; */

data D03 ;
    alpha=0.10 ;    set  D02 ;
	C80 = 10**(Lmean0)*0.80 ;
    C125= 10**(Lmean0)*1.25 ;
    T  = tinv(1-alpha/2, NSAMP-1) ;
    L1 = 10**(Lmean1 - T*Lse1) ;
    U1 = 10**(Lmean1 + T*Lse1) ;
    if  (L1<C80) or (U1>C125) then  JUDGE='1:No' ;  else  JUDGE='0:OK' ;
	keep Nsamp Judge ;
/*	proc print  data=D03 ; run ;  */

proc tabulate  data=D03  noseps ;
    class  Nsamp Judge ;
    table  Nsamp, (Judge=' ' all)*f=10. / rts=10 ;
    keylabel  n=' ' ;
run ;
